| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
iolink.iolink.ReadonlyMetadataNode Class Reference
Inheritance diagram for iolink.iolink.ReadonlyMetadataNode:

## Public Member Functions
| __init__ (self, node)
| clone (self)
| get_key (self)
| get_value (self)
| get_child_count (self)
| has_child (self, key)
| child (self, key)
| to_string (self)
| __iter__ (self)
| __repr__ (self)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
| key = property(get_key, doc=get_key.__doc__)
| value = property(get_value, doc=get_value.__doc__)
| child_count = property(get_child_count, doc=get_child_count.__doc__)

## Detailed Description

    Wrapper class around MetadataNode to force readonly access.

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.ReadonlyMetadataNode.__init__ | ( |  | self,
|  |  | node
| ) |  |

    Wrap the MetadataNode instance.

## Member Function Documentation

## ◆ child()

iolink.iolink.ReadonlyMetadataNode.child | ( |  | self,
|  |  | key
| ) |  |

    Proxy for MetadataNode::child.

## ◆ clone()

iolink.iolink.ReadonlyMetadataNode.clone | ( |  | self | ) |

    Proxy for MetadataNode::clone.

## ◆ get_child_count()

iolink.iolink.ReadonlyMetadataNode.get_child_count | ( |  | self | ) |

    Proxy for MetadataNode::childCount.

## ◆ get_key()

iolink.iolink.ReadonlyMetadataNode.get_key | ( |  | self | ) |

    Proxy for MetadataNode::key.

## ◆ get_value()

iolink.iolink.ReadonlyMetadataNode.get_value | ( |  | self | ) |

    Proxy for MetadataNode::value.

## ◆ has_child()

iolink.iolink.ReadonlyMetadataNode.has_child | ( |  | self,
|  |  | key
| ) |  |

    Proxy for MetadataNode::hasChild.

## ◆ to_string()

iolink.iolink.ReadonlyMetadataNode.to_string | ( |  | self | ) |

    Proxy for MetadataNode::toString.

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py